Bug 1921059 - Global Registration: Registration tab does not provide registration in the script
Summary: Global Registration: Registration tab does not provide registration in the sc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.9.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 6.9.0
Assignee: Leos Stejskal
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-27 13:17 UTC by Kenny Tordeurs
Modified: 2021-04-21 13:11 UTC (History)
3 users (show)

Fixed In Version: foreman-2.3.1.15-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:10:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31912 0 Normal New Global Registration: Registration tab does not provide registration in the script 2021-02-18 09:06:49 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:11:04 UTC

Description Kenny Tordeurs 2021-01-27 13:17:32 UTC
Description of problem:
Registration tab states 'This host can be registered to Satellite by executing this command:' however there is no registration part in the script.

Version-Release number of selected component (if applicable):
Satellite 6.9

How reproducible:
100%

Steps to Reproduce:
1. Provision a host
2. Go to Host -> All hosts -> Some_Host
3. Registration tab

Actual results:
Host cannot be registered.

Expected results:
System to register

Additional info:

Comment 3 Leos Stejskal 2021-02-11 13:56:10 UTC
Hi,
this is a regression from Satellite 6.8,
where this feature was for managed hosts to run additional "steps" defined in 'Linux registration default' template.
Right now the plan is to remove this tab and use Global registration only (I guess 6.10, but need to confirm)

Comment 5 Marek Hulan 2021-02-17 16:51:50 UTC
This is not a regression, the feature wasn't there before. In 6.9 we'll enhance the tab language. The functionality is still good, it's used for initializing the client, e.g. after it's imported from compute resource. But the "Registration" is confusing, since it's already present in Satellite.

Moving to 6.9

Comment 6 Leos Stejskal 2021-02-18 09:06:48 UTC
Created redmine issue https://projects.theforeman.org/issues/31912 from this bug

Comment 7 Bryan Kearney 2021-02-28 16:05:53 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31912 has been resolved.

Comment 14 errata-xmlrpc 2021-04-21 13:10:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.